Commit 4d273906 authored by Ian Romanick's avatar Ian Romanick

Allow warsow 85.shader_test to build on GLSL 1.20

Nothing in the shader actually requires 1.30.  This allows it to build
on GM45 and Iron Lake... and other platforms stuck at GLSL 1.20.
Signed-off-by: 's avatarIan Romanick <ian.d.romanick@intel.com>
Reviewed-by: Kenneth Graunke's avatarKenneth Graunke <kenneth@whitecape.org>
parent 64396491
[require] [require]
GLSL >= 1.30 GLSL >= 1.20
[vertex shader] [vertex shader]
#version 130 #version 120
#extension GL_ARB_draw_instanced : enable #extension GL_ARB_draw_instanced : enable
#define QF_GLSL_VERSION 130 #define QF_GLSL_VERSION 120
#define VERTEX_SHADER #define VERTEX_SHADER
#if !defined(myhalf) #if !defined(myhalf)
//#if !defined(__GLSL_CG_DATA_TYPES) //#if !defined(__GLSL_CG_DATA_TYPES)
...@@ -1030,9 +1030,9 @@ color = color * diffuse; ...@@ -1030,9 +1030,9 @@ color = color * diffuse;
#endif // FRAGMENT_SHADER #endif // FRAGMENT_SHADER
[fragment shader] [fragment shader]
#version 130 #version 120
#define QF_GLSL_VERSION 130 #define QF_GLSL_VERSION 120
#define FRAGMENT_SHADER #define FRAGMENT_SHADER
#if !defined(myhalf) #if !defined(myhalf)
//#if !defined(__GLSL_CG_DATA_TYPES) //#if !defined(__GLSL_CG_DATA_TYPES)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment